!--------------------------------------------------
module functions
implicit none
    contains
       function f(x)

       real*8::f,x
       real*8::a=5    
       f= x*x-a
       end function f
end module functions
